package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目签约对象 bm_project_orderinfo
 * 
 * @author ruoyi
 * @date 2021-03-05
 */
public class BmProjectOrderinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;


    /** 签约日期* */
    @Excel(name = "签约日期*")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderDate;

    /** 投资方式* */
    @Excel(name = "投资方式*")
    private String investmentType;

    /** 是否外资* */
    @Excel(name = "是否外资*")
    private String isOutInvestment;

    /** 总投资额度* */
    @Excel(name = "总投资额度*")
    private BigDecimal totInvestment;

    /** 固定资产投资额度* */
    @Excel(name = "固定资产投资额度*")
    private BigDecimal fixedAssets;

    /** 境外投资 */
    @Excel(name = "境外投资")
    private BigDecimal overseasInvestment;

    /** 境内省外投资 */
    @Excel(name = "境内省外投资")
    private BigDecimal jnswInvestm;

    /** 省内市外投资 */
    @Excel(name = "省内市外投资")
    private BigDecimal snswInvestm;

    /** 市内县外投资 */
    @Excel(name = "市内县外投资")
    private BigDecimal snxwInvestm;

    /** 县内投资 */
    @Excel(name = "县内投资")
    private BigDecimal xnInvestm;

    /** 是否独立供地* */
    @Excel(name = "是否独立供地*")
    private String isIndependentLan;

    /** 供地面积 */
    @Excel(name = "供地面积")
    private BigDecimal landArea;

    /** 供地位置 */
    @Excel(name = "供地位置")
    private String landAddress;

    /** 土地证url */
    @Excel(name = "土地证url")
    private String landPhoto;

    /** 流转土地面积 */
    @Excel(name = "流转土地面积")
    private BigDecimal circulationLand;

    /** 流转土地位置 */
    @Excel(name = "流转土地位置")
    private String circulationAddres;

    /** 土地流转合同 */
    @Excel(name = "土地流转合同")
    private String circulationDoc;

    /** 产权证 */
    @Excel(name = "产权证")
    private String circulationPhoto;

    /** 租赁厂房面积 */
    @Excel(name = "租赁厂房面积")
    private BigDecimal leasePlantArea;

    /** 租赁厂房位置 */
    @Excel(name = "租赁厂房位置")
    private String leasePlantAddress;

    /** 租赁合同 */
    @Excel(name = "租赁合同")
    private String leasePlantDoc;

    /** 租赁产权证 */
    @Excel(name = "租赁产权证")
    private String leasePlantPhoto;

    /** 合同约定产值* */
    @Excel(name = "合同约定产值*")
    private BigDecimal agreementTot;

    /** 合同约定税收* */
    @Excel(name = "合同约定税收*")
    private BigDecimal agreementTax;

    /** 合同约定开工时间* */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同约定开工时间*", width = 30, dateFormat = "yyyy-MM-dd")
    private Date agreementStartdate;

    /** 合同约定竣工时间* */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同约定竣工时间*", width = 30, dateFormat = "yyyy-MM-dd")
    private Date agreementEnddate;

    /** 合同签约对方* */
    @Excel(name = "合同签约对方*")
    private String agreementPartner;

    /** 对方合同签约人* */
    @Excel(name = "对方合同签约人*")
    private String partner;

    /** 合同签约我方* */
    @Excel(name = "合同签约我方*")
    private String agreementUs;

    /** 我方合同签约人* */
    @Excel(name = "我方合同签约人*")
    private String signUs;

    /** 第三方 */
    @Excel(name = "第三方")
    private String agreementThird;

    /** 第三方签约人 */
    @Excel(name = "第三方签约人")
    private String third;

    /** 合同url* */
    @Excel(name = "合同url*")
    private String agreementUrl;

    /** 在潜注册公司名称* */
    @Excel(name = "在潜注册公司名称*")
    private String name;

    /** 法定代表人* */
    @Excel(name = "法定代表人*")
    private String legalRep;

    /** 注册资本金* */
    @Excel(name = "注册资本金*")
    private BigDecimal totMoney;

    /** 注册地址* */
    @Excel(name = "注册地址*")
    private String address;

    /** 统一社会信用代码* */
    @Excel(name = "统一社会信用代码*")
    private String code;

    /** 营业执照图片url* */
    @Excel(name = "营业执照图片url*")
    private String bussinessUrl;

    /** 备案单位* */
    @Excel(name = "备案单位*")
    private String recordName;

    /** 备案文号* */
    @Excel(name = "备案文号*")
    private String recordCode;

    /** 备案总投资额* */
    @Excel(name = "备案总投资额*")
    private BigDecimal recordTot;

    /** 备案建设周期* */
    @Excel(name = "备案建设周期*")
    private String recordTime;

    /** 备案表url* */
    @Excel(name = "备案表url*")
    private String recordUrl;

    /** 企业包服务-联系领导* */
    @Excel(name = "企业包服务-联系领导*")
    private String contactLeader;

    /** 联系方式* */
    @Excel(name = "联系方式*")
    private String contactPhone;

    /** 责任单位* */
    @Excel(name = "责任单位*")
    private String contactCompany;

    /** 责任人* */
    @Excel(name = "责任人*")
    private String contactPerson;

    /** 联系方式* */
    @Excel(name = "联系方式*")
    private String contactPersonPhone;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public Date getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(Date orderDate) {
        this.orderDate = orderDate;
    }

    public void setInvestmentType(String investmentType)
    {
        this.investmentType = investmentType;
    }

    public String getInvestmentType() 
    {
        return investmentType;
    }
    public void setIsOutInvestment(String isOutInvestment) 
    {
        this.isOutInvestment = isOutInvestment;
    }

    public String getIsOutInvestment() 
    {
        return isOutInvestment;
    }
    public void setTotInvestment(BigDecimal totInvestment) 
    {
        this.totInvestment = totInvestment;
    }

    public BigDecimal getTotInvestment() 
    {
        return totInvestment;
    }
    public void setFixedAssets(BigDecimal fixedAssets) 
    {
        this.fixedAssets = fixedAssets;
    }

    public BigDecimal getFixedAssets() 
    {
        return fixedAssets;
    }
    public void setOverseasInvestment(BigDecimal overseasInvestment) 
    {
        this.overseasInvestment = overseasInvestment;
    }

    public BigDecimal getOverseasInvestment() 
    {
        return overseasInvestment;
    }
    public void setJnswInvestm(BigDecimal jnswInvestm) 
    {
        this.jnswInvestm = jnswInvestm;
    }

    public BigDecimal getJnswInvestm() 
    {
        return jnswInvestm;
    }
    public void setSnswInvestm(BigDecimal snswInvestm) 
    {
        this.snswInvestm = snswInvestm;
    }

    public BigDecimal getSnswInvestm() 
    {
        return snswInvestm;
    }
    public void setSnxwInvestm(BigDecimal snxwInvestm) 
    {
        this.snxwInvestm = snxwInvestm;
    }

    public BigDecimal getSnxwInvestm() 
    {
        return snxwInvestm;
    }
    public void setXnInvestm(BigDecimal xnInvestm) 
    {
        this.xnInvestm = xnInvestm;
    }

    public BigDecimal getXnInvestm() 
    {
        return xnInvestm;
    }
    public void setIsIndependentLan(String isIndependentLan) 
    {
        this.isIndependentLan = isIndependentLan;
    }

    public String getIsIndependentLan() 
    {
        return isIndependentLan;
    }
    public void setLandArea(BigDecimal landArea) 
    {
        this.landArea = landArea;
    }

    public BigDecimal getLandArea() 
    {
        return landArea;
    }
    public void setLandAddress(String landAddress) 
    {
        this.landAddress = landAddress;
    }

    public String getLandAddress() 
    {
        return landAddress;
    }
    public void setLandPhoto(String landPhoto) 
    {
        this.landPhoto = landPhoto;
    }

    public String getLandPhoto() 
    {
        return landPhoto;
    }
    public void setCirculationLand(BigDecimal circulationLand) 
    {
        this.circulationLand = circulationLand;
    }

    public BigDecimal getCirculationLand() 
    {
        return circulationLand;
    }
    public void setCirculationAddres(String circulationAddres) 
    {
        this.circulationAddres = circulationAddres;
    }

    public String getCirculationAddres() 
    {
        return circulationAddres;
    }
    public void setCirculationDoc(String circulationDoc) 
    {
        this.circulationDoc = circulationDoc;
    }

    public String getCirculationDoc() 
    {
        return circulationDoc;
    }
    public void setCirculationPhoto(String circulationPhoto) 
    {
        this.circulationPhoto = circulationPhoto;
    }

    public String getCirculationPhoto() 
    {
        return circulationPhoto;
    }
    public void setLeasePlantArea(BigDecimal leasePlantArea) 
    {
        this.leasePlantArea = leasePlantArea;
    }

    public BigDecimal getLeasePlantArea() 
    {
        return leasePlantArea;
    }
    public void setLeasePlantAddress(String leasePlantAddress) 
    {
        this.leasePlantAddress = leasePlantAddress;
    }

    public String getLeasePlantAddress() 
    {
        return leasePlantAddress;
    }
    public void setLeasePlantDoc(String leasePlantDoc) 
    {
        this.leasePlantDoc = leasePlantDoc;
    }

    public String getLeasePlantDoc() 
    {
        return leasePlantDoc;
    }
    public void setLeasePlantPhoto(String leasePlantPhoto) 
    {
        this.leasePlantPhoto = leasePlantPhoto;
    }

    public String getLeasePlantPhoto() 
    {
        return leasePlantPhoto;
    }
    public void setAgreementTot(BigDecimal agreementTot) 
    {
        this.agreementTot = agreementTot;
    }

    public BigDecimal getAgreementTot() 
    {
        return agreementTot;
    }
    public void setAgreementTax(BigDecimal agreementTax) 
    {
        this.agreementTax = agreementTax;
    }

    public BigDecimal getAgreementTax() 
    {
        return agreementTax;
    }
    public void setAgreementStartdate(Date agreementStartdate) 
    {
        this.agreementStartdate = agreementStartdate;
    }

    public Date getAgreementStartdate() 
    {
        return agreementStartdate;
    }
    public void setAgreementEnddate(Date agreementEnddate) 
    {
        this.agreementEnddate = agreementEnddate;
    }

    public Date getAgreementEnddate() 
    {
        return agreementEnddate;
    }
    public void setAgreementPartner(String agreementPartner) 
    {
        this.agreementPartner = agreementPartner;
    }

    public String getAgreementPartner() 
    {
        return agreementPartner;
    }
    public void setPartner(String partner) 
    {
        this.partner = partner;
    }

    public String getPartner() 
    {
        return partner;
    }
    public void setAgreementUs(String agreementUs) 
    {
        this.agreementUs = agreementUs;
    }

    public String getAgreementUs() 
    {
        return agreementUs;
    }
    public void setSignUs(String signUs) 
    {
        this.signUs = signUs;
    }

    public String getSignUs() 
    {
        return signUs;
    }
    public void setAgreementThird(String agreementThird) 
    {
        this.agreementThird = agreementThird;
    }

    public String getAgreementThird() 
    {
        return agreementThird;
    }
    public void setThird(String third) 
    {
        this.third = third;
    }

    public String getThird() 
    {
        return third;
    }
    public void setAgreementUrl(String agreementUrl) 
    {
        this.agreementUrl = agreementUrl;
    }

    public String getAgreementUrl() 
    {
        return agreementUrl;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLegalRep(String legalRep) 
    {
        this.legalRep = legalRep;
    }

    public String getLegalRep() 
    {
        return legalRep;
    }
    public void setTotMoney(BigDecimal totMoney) 
    {
        this.totMoney = totMoney;
    }

    public BigDecimal getTotMoney() 
    {
        return totMoney;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setBussinessUrl(String bussinessUrl) 
    {
        this.bussinessUrl = bussinessUrl;
    }

    public String getBussinessUrl() 
    {
        return bussinessUrl;
    }
    public void setRecordName(String recordName) 
    {
        this.recordName = recordName;
    }

    public String getRecordName() 
    {
        return recordName;
    }
    public void setRecordCode(String recordCode) 
    {
        this.recordCode = recordCode;
    }

    public String getRecordCode() 
    {
        return recordCode;
    }
    public void setRecordTot(BigDecimal recordTot) 
    {
        this.recordTot = recordTot;
    }

    public BigDecimal getRecordTot() 
    {
        return recordTot;
    }
    public void setRecordTime(String recordTime) 
    {
        this.recordTime = recordTime;
    }

    public String getRecordTime() 
    {
        return recordTime;
    }
    public void setRecordUrl(String recordUrl) 
    {
        this.recordUrl = recordUrl;
    }

    public String getRecordUrl() 
    {
        return recordUrl;
    }
    public void setContactLeader(String contactLeader) 
    {
        this.contactLeader = contactLeader;
    }

    public String getContactLeader() 
    {
        return contactLeader;
    }
    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }
    public void setContactCompany(String contactCompany) 
    {
        this.contactCompany = contactCompany;
    }

    public String getContactCompany() 
    {
        return contactCompany;
    }

    public String getContactPerson() {
        return contactPerson;
    }

    public void setContactPerson(String contactPerson) {
        this.contactPerson = contactPerson;
    }

    public String getContactPersonPhone() {
        return contactPersonPhone;
    }

    public void setContactPersonPhone(String contactPersonPhone) {
        this.contactPersonPhone = contactPersonPhone;
    }

    @Override
    public String toString() {
        return "BmProjectOrderinfo{" +
                "id=" + id +
                ", bmProjectId=" + bmProjectId +
                ", orderDate=" + orderDate +
                ", investmentType='" + investmentType + '\'' +
                ", isOutInvestment='" + isOutInvestment + '\'' +
                ", totInvestment=" + totInvestment +
                ", fixedAssets=" + fixedAssets +
                ", overseasInvestment=" + overseasInvestment +
                ", jnswInvestm=" + jnswInvestm +
                ", snswInvestm=" + snswInvestm +
                ", snxwInvestm=" + snxwInvestm +
                ", xnInvestm=" + xnInvestm +
                ", isIndependentLan='" + isIndependentLan + '\'' +
                ", landArea=" + landArea +
                ", landAddress='" + landAddress + '\'' +
                ", landPhoto='" + landPhoto + '\'' +
                ", circulationLand=" + circulationLand +
                ", circulationAddres='" + circulationAddres + '\'' +
                ", circulationDoc='" + circulationDoc + '\'' +
                ", circulationPhoto='" + circulationPhoto + '\'' +
                ", leasePlantArea=" + leasePlantArea +
                ", leasePlantAddress='" + leasePlantAddress + '\'' +
                ", leasePlantDoc='" + leasePlantDoc + '\'' +
                ", leasePlantPhoto='" + leasePlantPhoto + '\'' +
                ", agreementTot=" + agreementTot +
                ", agreementTax=" + agreementTax +
                ", agreementStartdate=" + agreementStartdate +
                ", agreementEnddate=" + agreementEnddate +
                ", agreementPartner='" + agreementPartner + '\'' +
                ", partner='" + partner + '\'' +
                ", agreementUs='" + agreementUs + '\'' +
                ", signUs='" + signUs + '\'' +
                ", agreementThird='" + agreementThird + '\'' +
                ", third='" + third + '\'' +
                ", agreementUrl='" + agreementUrl + '\'' +
                ", name='" + name + '\'' +
                ", legalRep='" + legalRep + '\'' +
                ", totMoney=" + totMoney +
                ", address='" + address + '\'' +
                ", code='" + code + '\'' +
                ", bussinessUrl='" + bussinessUrl + '\'' +
                ", recordName='" + recordName + '\'' +
                ", recordCode='" + recordCode + '\'' +
                ", recordTot=" + recordTot +
                ", recordTime='" + recordTime + '\'' +
                ", recordUrl='" + recordUrl + '\'' +
                ", contactLeader='" + contactLeader + '\'' +
                ", contactPhone='" + contactPhone + '\'' +
                ", contactCompany='" + contactCompany + '\'' +
                ", contactPerson='" + contactPerson + '\'' +
                ", contactPersonPhone='" + contactPersonPhone + '\'' +
                '}';
    }
}
